Slideshow - Task #982

Use an iframe to host slideshow
02/28/2015 04:31 AM - Luke Murphey

Status: Closed Start date: 04/18/2015
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 2.2

Description

Consider using an iframe to host the show content. This would have several advantages, including:

* Ability to use the same window to host the show
¢ Ability to hide all content until the hide-chrome and inverted stylesheets are loaded

Subtasks:

Task # 993: Handle resizing

Task # 994: Don't show overlay when not inverting colors

Task # 995: Test on FireFox, IE, and Safari

Task # 996: Hide redundant scrollbars

Bug # 997: Overlay controls do not reliably appear/disappear

Task # 998: End show when escape is pressed

Task # 999: Consider replacing the stop show iframe with a dialog in the main view

Closed
Closed
Closed
Closed
Closed
Rejected
Closed

History

#1 - 02/28/2015 04:31 AM - Luke Murphey

See http://stackoverflow.com/questions/19498725/control-iframe-content-with-javascript-html

#2 - 03/25/2015 12:59 AM - Luke Murphey

It looks like sending some arguments to the dashboard will hide the items natively too:

?hideEdit=true&hideTitle=true&hideSplunkBar=true&hideAppBar=true&hideFooter=true&targetTop=true

#3 - 04/16/2015 05:09 AM - Luke Murphey

Some other things | need to do to get this to work:

1. Show a "stop show" button on mousemove

2. Don't show dark colored overlay when dark mode isn't used
3. Deal with scrollbars

4. Deal with view size changes

#4 - 04/16/2015 05:10 AM - Luke Murphey

Might want to not stop the show but put it in a smaller window when the view is clicked.

#5 - 04/16/2015 10:52 PM - Luke Murphey

Stop show button works; but need to figure out a better solution that waiting two seconds to wire it up.
http://stackoverflow.com/questions/19498725/control-iframe-content-with-javascript-html

#6 - 04/18/2015 05:43 AM - Luke Murphey

- Target version set to 2.2

#7 - 06/10/2015 09:08 PM - Luke Murphey

- Status changed from New to Closed
